Bug 5939 - Copyeditor queue enhancement
Copyeditor queue enhancement
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Copyeditors and Proofreaders
2.4.2
PC Mac OS X 10.6
: P5 enhancement
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-23 11:45 PDT by James MacGregor
Modified: 2013-01-14 11:35 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-09-23 11:45:27 PDT
... split from Bug 5899 ... 

Submissions that have not had the final copyedit done, but which have not
yet been published, should still be listed in the Active queue, but as "queued"
or something similar, so that Copyeditors can see at a glance if action is
required. (It might also be worth highlighting items that require immediate
action vs. the queued/Author action items.) These items *would* be included in
the In Editing count.
Comment 1 Jason Nugent 2013-01-07 06:37:09 PST
Hi James,

I may have fixed this as part of bug #6564.  There's a change to the SQL for determining whether a submission is active or archived for each stage.  In the case of copyediting, a submission is considered 'active' so long as it has not been published (ie, the date_published is null and the article status is queued).  Can you see if that change resolves this bug to your satisfaction?

Cheers,
Jason
Comment 2 James MacGregor 2013-01-08 11:44:39 PST
Thanks, Jason! This hasn't been 100% fixed yet, but my original bug report was pretty unclear so no surprise there :D. The problem (as far as I can decipher and replicate) is that if I am a copyeditor, any submission that has gone through all three steps of copyediting (i.e. that I have "completed" copyediting) still shows up as active in my CE Active listing, until it is published, even though as a copyeditor it really shouldn't be considered an active submission anymore. Does that make sense? In other words: 

-- Submission has been copyedited but not yet published;
-- It's listed as active in the Editor's "Editing" queue, correctly;
-- It's listed in the CE's "Active" queue, with a status of "Step 3" even though Step 3 has been completed, which is potentially misleading for CEs

One possibly easier solution would be simply add a "Queued for Publishing" status for submissions that have been signed off on by the CE. 

This may also be an issue for Layout Editors and Proofreaders, but I haven't looked too closely.
Comment 3 Jason Nugent 2013-01-08 12:05:25 PST
Hey James,

We asked John about what constitutes "Active" versus "Archived" for bug #6564 and his response is pasted in one of the later comments.  Do his thoughts weigh in on this for you?

I do agree that having it say "Step 3" is probably incorrect.  I'm not sure we want to add another status constant for submissions, but perhaps the message could be clearer.  Without adding a locale key for 2.4.2, do any of the current ones make sense?  We could test for a completed CE and indicate as such, right in the template.

Cheers,
Jason
Comment 4 James MacGregor 2013-01-09 23:01:38 PST
Hi Jason, 

John's comments make sense to me -- essentially, agreed that these submissions should be always listed. And if "Step 3" could be changed to something else if the copyedit has been done but publishing action hasn't yet been taken, that would be great. There are a few locale keys that might work here: 

lib/pkp/locale//en_US/submission.xml:375:	<message key="submissions.queued">Queued</message>

Or even better, maybe: 

lib/pkp/locale//en_US/common.xml:84:	<message key="common.completed">Completed</message>

Thanks! 
James
Comment 5 Jason Nugent 2013-01-10 06:20:03 PST
clarify status for completed but 'active' copyedits
https://github.com/pkp/ojs/commit/bb55e4e4721c84c08c9e5c85955010591ebfd827
Comment 6 Jason Nugent 2013-01-10 06:21:26 PST
Hi James,

I've changed the "step 3" message to instead use two locale keys together, so that now says "Initial Copyedit Completed", since that is the signoff that is examined in that list.  If that seems good to you, feel free to close the bug.

Cheers
Jason
Comment 7 Jason Nugent 2013-01-10 06:25:02 PST
clarify status for completed but 'active' copyedits
https://github.com/pkp/ojs/commit/6ede16fb29d4fd829f0f876090257922059ea971
Comment 8 James MacGregor 2013-01-10 09:27:01 PST
(In reply to comment #6)
> Hi James,
> 
> I've changed the "step 3" message to instead use two locale keys together,
> so that now says "Initial Copyedit Completed", since that is the signoff
> that is examined in that list.  If that seems good to you, feel free to
> close the bug.
> 
> Cheers
> Jason

Hi Jason, 

That looks much better, but it looks like now the same thing comes up for when the initial copyedit is completed, regardless of what the status is after -- so for example, if I'm on step 3, the status still reads "Initial Copyedit Completed"; likewise for when the entire copyedit has been completed. The steps/statuses should be as follows: 

- Initial copyedit underway: "Step 1" (what we have now) or "Initial Copyedit"

- Initital copyedit complete, waiting for author copyedit: "Initial Copyedit Complete" or "Waiting for Author Copyedit" or simply "Author Copyedit" (I don't remember what it used to say here)

- Final copyedit underway: "Step 3" (what we had previously; this doesn't really make sense as we never reference "step 2" to the CE, but whatever) or "Final Copyedit"

- Final copyedit complete: "Complete" or even "Final Copyedit Complete"

This is getting increasingly nitpicky -- apologies!
Comment 9 Jason Nugent 2013-01-11 06:55:02 PST
further copyedit status description improvements
https://github.com/pkp/ojs/commit/bc9a916d64ba965020aec5d8a479b841df66c0fb
Comment 10 Jason Nugent 2013-01-11 06:58:12 PST
Hi James,

Not nitpicky at all -- this is much clearer.  Just committed a fix that now does the following:

Initial Copyedit underway but not complete, "Initial Copyedit".  When it's finished, but the Final Copyedit hasn't started, "Initial Copyedit Complete".  When the final copyedit starts, "Final Copyedit", and finally, when the final copyedit is done, "Final Copyedit Complete"

Cheers,
Jason
Comment 11 Jason Nugent 2013-01-11 07:00:03 PST
further copyedit status description improvements
https://github.com/pkp/ojs/commit/3bd2e78ca6c017ac36d19bf031551c0065f43545
Comment 12 James MacGregor 2013-01-14 11:34:08 PST
Jason, that's perfect, thanks! I just took a look and everything looks great to me. Please feel free to close if this is done.
Comment 13 Jason Nugent 2013-01-14 11:35:20 PST
Thanks, James!